- Create Glossary Category
- Get Glossary Category
- Get Glossary Categories
- Update Glossary Category
- Delete Glossary Category
POST /api/v1/governance/glossary-categoryCreate a new glossary categoryResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary-category" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new glossary category",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/glossary-category/{glossaryCategoryId}Get a glossary category by IDPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"Vendor Attributes".string
Example:
"Name of the Original Equipment Manufacturer responsible for the asset or product.".string
string
string
Example:
"cfe79044-4173-4ad1-b9a7-edbf22ac0e35".string
Example:
"51228e06-8b96-489e-be9a-93e4f4e7e9c2".string
string
Example:
"PENDING".integer
Example:
0.string
string
string
integer
Example:
1.boolean
Example:
true.boolean
Example:
false.string
string
string
string
Example:
"12121089-adca-46ae-85f0-441bbb7eccea".string
Example:
"2026-09-20T08:11:10.293430Z".string
Example:
"2026-09-21T06:39:16.470323Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
object[]
object[]
object[]
string
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary-category/{glossaryCategoryId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a glossary category by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "Vendor Attributes",
"description": "Name of the Original Equipment Manufacturer responsible for the asset or product.",
"source": null,
"parent_id": null,
"glossary_id": "cfe79044-4173-4ad1-b9a7-edbf22ac0e35",
"domain_id": "51228e06-8b96-489e-be9a-93e4f4e7e9c2",
"qualified_name": null,
"status": "PENDING",
"total_conversations": 0,
"total_likes": null,
"total_dislikes": null,
"owner": null,
"total_views": 1,
"is_active": true,
"is_deleted": false,
"definition": null,
"context": null,
"who_should_use_this": null,
"id": "12121089-adca-46ae-85f0-441bbb7eccea",
"created_at": "2026-09-20T08:11:10.293430Z",
"modified_at": "2026-09-21T06:39:16.470323Z",
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"modified_by": null,
"parents": [
{
"id": "cfe79044-4173-4ad1-b9a7-edbf22ac0e35",
"name": "Default Glossary",
"description": null,
"type": "glossary"
}
],
"domain": [
{
"id": "51228e06-8b96-489e-be9a-93e4f4e7e9c2",
"name": "Domain Test 7",
"label": "Domain Test 7"
}
],
"viewers": [
{
"id": "08ba2090-a236-4538-a671-fca112ca8ad2",
"viewed_at": "2026-09-21T10:32:25.372466+00:00",
"name": null,
"email": "rejeesh@dqlabs.ai"
}
],
"context_freshness": {
"description": null,
"owner_verified": null
},
"recent_conversations": null
}
}
POST /api/v1/governance/glossary-category/listGet glossary categories with optional filteringRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"Vendor Attributes".string
Example:
"Name of the Original Equipment Manufacturer responsible for the asset or product.".string
Example:
"cfe79044-4173-4ad1-b9a7-edbf22ac0e35".string
Example:
"51228e06-8b96-489e-be9a-93e4f4e7e9c2".string
Example:
"PENDING".integer
Example:
0.integer
Example:
0.boolean
Example:
true.boolean
Example:
false.string
Example:
"12121089-adca-46ae-85f0-441bbb7eccea".string
Example:
"2026-09-20T08:11:10.293430Z".string
Example:
"2026-09-20T17:02:48.315889Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".object[]
object[]
integer
Example:
396.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary-category/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get glossary categories with optional filtering",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "Vendor Attributes",
"description": "Name of the Original Equipment Manufacturer responsible for the asset or product.",
"glossary_id": "cfe79044-4173-4ad1-b9a7-edbf22ac0e35",
"domain_id": "51228e06-8b96-489e-be9a-93e4f4e7e9c2",
"status": "PENDING",
"total_conversations": 0,
"total_views": 0,
"is_active": true,
"is_deleted": false,
"id": "12121089-adca-46ae-85f0-441bbb7eccea",
"created_at": "2026-09-20T08:11:10.293430Z",
"modified_at": "2026-09-20T17:02:48.315889Z",
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"domain": [
{
"id": "51228e06-8b96-489e-be9a-93e4f4e7e9c2",
"name": "Domain Test 7",
"label": "Domain Test 7"
}
],
"viewers": []
}
],
"total_count": 396,
"metrics": [
{
"title": "ALL",
"value": 396,
"trend": "up",
"trendValue": "0",
"type": "glossary_category"
}
]
}
}
PUT /api/v1/governance/glossary-category/{glossaryCategoryId}Update a glossary categoryPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary-category/{glossaryCategoryId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a glossary category",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/governance/glossary-category/{glossaryCategoryId}Delete a glossary categoryPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary-category/{glossaryCategoryId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a glossary category",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}